//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
#include "RVEdit.hpp"
#include "RichView.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include <Graphics.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPageControl *PageControl1;
	TTabSheet *TabSheet1;
	TRichViewEdit *rve1;
	TButton *Button1;
	TTabSheet *TabSheet2;
	TEdit *Edit1;
	TButton *Button2;
	TRichView *rv2;
	TTabSheet *TabSheet3;
	TRichView *rv3;
	TRichViewEdit *rve4;
	TButton *Button3;
	TRVStyle *RVStyle1;
	TImageList *ImageList1;
	TTabSheet *TabSheet4;
	TRichView *rv5;
	TLabel *Label2;
	TRichViewEdit *rve6;
	TButton *Button4;
	TLabel *Label1;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);
	
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall Button3Click(TObject *Sender);
	void __fastcall Button4Click(TObject *Sender);
	void __fastcall rve6KeyPress(TObject *Sender, char &Key);
	void __fastcall rve6KeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall rv5RVFImageListNeeded(TCustomRichView *Sender,
	int ImageListTag, TCustomImageList *&il);
private:	// User declarations
    void TForm1::AddWithIcons(TCustomRichView* rv, AnsiString s, int StyleNo,
      int &ParaNo);
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 